## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# CrystalSpace::ImportKit Class Reference

Crystal Space Import Kit. More...

`#include <cstool/importkit.h>`

List of all members.

## Public Member Functions

| ImportKit (iObjectRegistry *objectReg)
| Initialize this kit.
Container * | OpenContainer (const char *filename, const char *path=0)
| Open a Crystal Space container from filename.

## Classes

class | Container
| Contains multiple models. More...

## Detailed Description

Crystal Space Import Kit.

A class wraps access to loader plugins and mesh factories to allow simple access to mesh data (albeit the returned data is limited compared to what the engine supports).

Definition at line 50 of file importkit.h.

## Constructor & Destructor Documentation

CrystalSpace::ImportKit::ImportKit | ( | iObjectRegistry * | objectReg | ) |

| Initialize this kit.

## Member Function Documentation

Container* CrystalSpace::ImportKit::OpenContainer | ( | const char * | filename,
|  | const char * | path = `0`
| ) |

| Open a Crystal Space container from filename. filename can optionally be in the path relative to the current directory in path. (Note that the path can contain up to 1 zip file). It should point to a mesh library, meshfact file or world file; it is detected whether a file contains sensible data, so you can e.g. safely call this method for all files of a directory.

The documentation for this class was generated from the following file:

- cstool/importkit.h